res_mem_t Struct Reference
Public interface » ID macros » Resource structures

`#include <hd.h>`

## Data Fields

union u_hd_res_t * | next
enum resource_types | type
uint64_t | base
uint64_t | range
unsigned | enabled:1
| 0: disabled, 1 enabled
unsigned | access:2
| enum access_flags
unsigned | prefetch:2
| enum yes_no_flag

The documentation for this struct was generated from the following file:

- hd.h